Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2001 closed defect (fixed)

mdump length argument broken + medit NULL pointer problem

Reported by: Sebastien Bourdeauducq Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: shell Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description

(from Werner Almesberger)

This patch fixes the "mdump" and "medit" shell commands:

  • "mdump" got the length argument wrong and would only produce useful output if it was omitted.
  • "medit" overran the argument list, choking on the NULL pointer following the last argument.

Note that "medit" still only does byte-sized accesses, which limits
its usefulness on most systems.

Attachments (1)

mem-fixes.patch (1.5 KB) - added by Sebastien Bourdeauducq on 01/26/12 at 08:48:36.
patch

Download all attachments as: .zip

Change History (3)

Changed on 01/26/12 at 08:48:36 by Sebastien Bourdeauducq

Attachment: mem-fixes.patch added

patch

comment:1 Changed on 02/03/12 at 21:09:29 by Joel Sherrill

Resolution: fixed
Status: newclosed

I should have noted that the byte/word/long issue with the dump commands was addressed by PR 2012.

comment:2 Changed on 11/24/14 at 18:58:28 by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.